package org.ssssssss.magicboot.fxapi;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class NewFXAPI {
    private Logger logger = LoggerFactory.getLogger(NewFXAPI.class);
    public JSONObject unlock(String id,String apiName, Boolean state) {
        logger.error("解锁");
        XKTokenAccess xktonken = new XKTokenAccess();

        String Xkjson = "{\n" +
                "    \"corpAccessToken\":\"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "    \"currentOpenUserId\":\"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "    \"corpId\":\"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "    \"data\":{\n" +
                "      \n" +
                "            \"dataObjectApiName\":\""+apiName+"\",\n" +
                "             \"dataIds\": [\n" +
                "            \"" + id + "\"\n" +
                "        ],\n" +
                "        \"detailObjStrategy\": 1\n" +
                "     \n" +
                "    }\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/object/unlock";
        if (state) {
            url = "https://open.fxiaoke.com/cgi/crm/v2/object/lock";
        }
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error("请求url" + url);
            logger.error("请求json" + Xkjson);
            logger.error("解锁" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        logger.error("解锁" + SAVEJSON1);
        return SAVEJSON1;
    }
    /**
     * 查询未同步的纷享信息
     */
    public JSONObject getSynchronizedObj(String methodName,String apiName,String fieldName,String fieldValue) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 20,\n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": false\n" +
                "\t\t\t}],\n" +
//                "\t\t\t\"fieldProjection\": [\"life_status\"],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \""+fieldName+"\",\n" +
                "\t\t\t\t\"field_values\": [\""+fieldValue+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\"\n" +
                "\t},\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_255BE81C377A37FF810EAA9BCC0F9852\",\n" +
                "\t\"corpId\": \"FSCID_866389E052568BE610EF4DA1A4476ADD\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/F/query";
        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    /**
     * 查询未同步的纷享信息
     */
    public JSONObject getSynchronizedObjLife(String methodName,String apiName,String fieldName,String status) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 20,\n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": false\n" +
                "\t\t\t}],\n" +
//                "\t\t\t\"fieldProjection\": [\"life_status\"],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \""+fieldName+"\",\n" +
                "\t\t\t\t\"field_values\": [\""+status+"\"]\n" +
                "\t\t\t}]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\"\n" +
                "\t},\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/query";
        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    /**
     * 查询未同步的纷享信息-不带生命状态
     */
    public JSONObject getV2SynchronizedObjLife(String methodName,String apiName,String fieldName,String status) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n"+
                "\t\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 20,\n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": false\n" +
                "\t\t\t}],\n" +
//                "\t\t\t\"fieldProjection\": [\"life_status\"],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \""+fieldName+"\",\n" +
                "\t\t\t\t\"field_values\": [\""+status+"\"]\n" +
                "\t\t\t}]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\"\n" +
                "\t},\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";
        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    /**
     * 获取销客对象描述
     */
    //apiNmae+id
    public JSONObject getXKName(String apiNmae) {
        logger.error("获取销客对象描述" + apiNmae);
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "    \"corpId\": \"" + xktonken.getCorpAccessToken().getCorpId() + "\",\n" +
                "    \"apiName\": \"" + apiNmae + "\",\n" +
                "    \"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "    \"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/object/describe";
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error("请求url" + url);
            logger.error("请求json" + SAVEJSON);
            logger.error("获取销客对象描述 请求失败" + e);

        }
        logger.error("获取销客对象描述 返回结果" + rtn.getContent());
        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());

        return SAVEJSON1;
    }
    /**
     * 修改同步字段-成功
     *
     * @param id
     * @param state 未同步  已同步   同步失败
     * @param code  金蝶编码
     */
    public void upSynchronized(String methodName,String apiName,String fieldName,String id, String state, String code) {
        System.out.println(methodName+"-修改同步字段 ");
        JSONObject jsonObject = new JSONObject();

        XKTokenAccess xktonken = new XKTokenAccess();
        String saveJSON = "{\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"object_data\": {\n" +
                "\t\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\t\"_id\": \"" + id + "\",\n" +
                "\"field_ZahGO__c\": \"标示修改\",\n" +
                "\"field_b05kt__c\": \""+code+"\",\n" +
                "\t\t\t\"field_53zPP__c\": \"" + state + "\"\n" +
                "\t\t}\n" +
                "\t}\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/update";

        JSONObject SAVEJSON = JSON.parseObject(saveJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, SAVEJSON.toString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + SAVEJSON);
            logger.error(methodName+"-修改客户是否同步字段 请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + SAVEJSON);
        logger.error(methodName+"-修改客户是否同步字段-返回结果" + rtn.getContent());

        jsonObject = JSON.parseObject(rtn.getContent());
    }

    /**
     * 修改同步字段-失败
     *
     * @param id
     * @param state 未同步  已同步   同步失败
     */
    public JSONObject unSynchronized(String methodName,String apiName,String fieldName,String id, String state) {
        System.out.println(methodName+"-修改同步字段 ");
        JSONObject jsonObject = new JSONObject();

        XKTokenAccess xktonken = new XKTokenAccess();
        String saveJSON = "{\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"object_data\": {\n" +
                "\t\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\t\"_id\": \"" + id + "\",\n" +
                "\"field_ZahGO__c\": \"标示修改\",\n" +
                "\t\t\t\"field_53zPP__c\": \"" + state + "\"\n" +
                "\t\t}\n" +
                "\t}\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/update";

        JSONObject SAVEJSON = JSON.parseObject(saveJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, SAVEJSON.toString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + SAVEJSON);
            logger.error(methodName+"-修改客户是否同步字段 请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + SAVEJSON);
        logger.error(methodName+"-修改客户是否同步字段-返回结果" + rtn.getContent());

        jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }

    /**
     * 查询未同步的纷享信息 V2
     */
    public JSONObject getV2SynchronizedObj(String methodName,String apiName,String fieldName,String status) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        xktonken.getCorpAccessToken().getCorpAccessToken();
        String Xkjson = "{\n" +
                "\t\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 20,\n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": false\n" +
                "\t\t\t}],\n" +
//                "\t\t\t\"fieldProjection\": [\"life_status\"],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \""+fieldName+"\",\n" +
                "\t\t\t\t\"field_values\": [\""+status+"\"]\n" +
                "\t\t\t}" +
                ",{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}" +
                "]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\"\n" +
                "\t},\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";

        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }


    /**
     * 插入联系人信息 V2
     */
    public String getV2lianxirenObj(String name,String tel,String add,String account) {
        XKTokenAccess xktonken = new XKTokenAccess();
        xktonken.getCorpAccessToken().getCorpAccessToken();
        String Xkjson = "{\n" +
                " \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                " \"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                " \"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                " \"data\": {\n" +
                "  \"object_data\": {\n" +
                "         \"dataObjectApiName\": \"ContactObj\",\n" +
                "\t\t\"name\": \""+name+"\",\n" +
                "\t\t\"mobile1\": \""+tel+"\",\n" +
                "        \"tel1\": \""+tel+"\",\n" +
                "\t\t\"owner\": [\n" +
                "\t\t\t\"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\"\n" +
                "\t\t],\n" +
                "        \"add\": \""+add+"\",\n" +
                "\t\t\"record_type\": \"default__c\",\n" +
                "\t\t\"account_id\": \""+account+"\",\n" +
                "\t\t\"field_53zPP__c\": \"sq4x2104A\"\n" +
                "  }\n" +
                " }\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/create";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        System.out.println(SAVEJSON1);
        String str=null;
        if (SAVEJSON1.getInteger("errorCode") == 0 ) {
            str=SAVEJSON1.getString("dataId");
        }
        return str;
    }

    /**
     * 查询联系人信息 V2
     */
    public String queryV2lianxirenObj(String name,String tel,String add,String account) {
        XKTokenAccess xktonken = new XKTokenAccess();
        xktonken.getCorpAccessToken().getCorpAccessToken();
        String Xkjson = "{\n" +
                "\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 2000,\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"name\",\n" +
                "\t\t\t\t\"field_values\": [\""+name+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"add\",\n" +
                "\t\t\t\t\"field_values\": [\""+add+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"account_id\",\n" +
                "\t\t\t\t\"field_values\": [\""+account+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"tel1\",\n" +
                "\t\t\t\t\"field_values\": [\""+tel+"\"]\n" +
                "\t\t\t}],\n" +
                "\t\t\n" +
                "\t\t\t\"fieldProjection\": [\n" +
                "\t\t\t\t\"_id\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"ContactObj\"\n" +
                "\t},\n" +
                "  \"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "    \"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/query";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        System.out.println(SAVEJSON1);
        String str=null;
        if (SAVEJSON1.getInteger("errorCode") == 0  && SAVEJSON1.getJSONObject("data").getInteger("total") > 0) {
            str=SAVEJSON1.getJSONObject("data").getJSONArray("dataList").getJSONObject(0).getString("_id");
        }
        return str;
    }

    /**
     * 获取部门 V2
     */
    public String queryV2bumenObj(String name) {
        XKTokenAccess xktonken = new XKTokenAccess();
        xktonken.getCorpAccessToken().getCorpAccessToken();
        String Xkjson = "{\n" +
                "\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 2000,\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"name\",\n" +
                "\t\t\t\t\"field_values\": [\""+name+"\"]\n" +
                "\t\t\t}],\n" +
                "\t\t\n" +
                "\t\t\t\"fieldProjection\": [\n" +
                "\t\t\t\t\"_id\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"DepartmentObj\"\n" +
                "\t},\n" +
                "  \"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "    \"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/query";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        System.out.println(SAVEJSON1);
        String str=null;
        if (SAVEJSON1.getInteger("errorCode") == 0  && SAVEJSON1.getJSONObject("data").getInteger("total") > 0) {
            str=SAVEJSON1.getJSONObject("data").getJSONArray("dataList").getJSONObject(0).getString("_id");
        }
        return str;
    }
    /**
     * 修改同步字段-成功
     *
     * @param id
     * @param state 未同步  已同步   同步失败
     * @param code  金蝶编码
     */
    public JSONObject upV2Synchronized(String methodName,String apiName,String fieldName,String id, String state, String code) {
        System.out.println(methodName+"-修改同步字段 ");
        JSONObject jsonObject = new JSONObject();

        XKTokenAccess xktonken = new XKTokenAccess();
        String saveJSON = "{\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"object_data\": {\n" +
                "\t\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\t\"_id\": \"" + id + "\",\n" +
                "\"field_ZahGO__c\": \"标示修改\",\n" +
                "\"field_b05kt__c\": \""+code+"\",\n" +
                "\t\t\t\"field_53zPP__c\": \"" + state + "\"\n" +
                "\t\t}\n" +
                "\t}\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/update";

        JSONObject SAVEJSON = JSON.parseObject(saveJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, SAVEJSON.toString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + SAVEJSON);
            logger.error(methodName+"-修改客户是否同步字段 请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + SAVEJSON);
        logger.error(methodName+"-修改客户是否同步字段-返回结果" + rtn.getContent());

        jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }

    /**
     * 修改同步字段-失败
     *
     * @param id
     * @param state 未同步  已同步   同步失败
     */
    public JSONObject unV2Synchronized(String methodName,String apiName,String fieldName,String id, String state, String value1, String value2) {
        System.out.println(methodName+"-修改同步字段 ");
        JSONObject jsonObject = new JSONObject();

        XKTokenAccess xktonken = new XKTokenAccess();
        String saveJSON = "{\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"object_data\": {\n" +
                "\t\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\t\"_id\": \"" + id + "\",\n" +
                "\t\t\t\"erp_id\": \"" + value1 + "\",\n" +
                "\t\t\t\"erp_code\": \"" + value2 + "\",\n" +
                "\t\t\t\"field_GfGJw__c\": \"同步成功\",\n" +
                "\t\t\t\"field_vnR8m__c\": \"" + state + "\"\n" +
                "\t\t}\n" +
                "\t}\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/update";

        JSONObject SAVEJSON = JSON.parseObject(saveJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, SAVEJSON.toString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + SAVEJSON);
            logger.error(methodName+"-修改客户是否同步字段 请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + SAVEJSON);
        logger.error(methodName+"-修改客户是否同步字段-返回结果" + rtn.getContent());

        jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }

    /**
     * 纷享单据-插入
     * @return
     */
    public JSONObject insertFXData(String methodName, JSONObject saveJson) {




        XKTokenAccess xktonken = new XKTokenAccess();
        saveJson.put("corpAccessToken", xktonken.getCorpAccessToken().getCorpAccessToken());
        saveJson.put("corpId", xktonken.getCorpAccessToken().getCorpId());
        saveJson.put("currentOpenUserId", "FSUID_76A55AEDDFB561F2F2EFA2B978D07407");
        System.out.println(methodName+"-纷享单据-插入 ");
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/create";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, saveJson.toJSONString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + saveJson);
            logger.error(methodName+"-请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + saveJson);
        logger.error(methodName+"-返回结果" + rtn.getContent());
        JSONObject jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }
    /**
     * 纷享单据-修改
     * @return
     */
    public JSONObject updateFXData(String methodName, JSONObject saveJson) {
        XKTokenAccess xktonken = new XKTokenAccess();
        saveJson.put("corpAccessToken", xktonken.getCorpAccessToken().getCorpAccessToken());
        saveJson.put("corpId", xktonken.getCorpAccessToken().getCorpId());
        saveJson.put("currentOpenUserId", "FSUID_76A55AEDDFB561F2F2EFA2B978D07407");
        System.out.println(methodName+"-纷享单据-修改 ");
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/update";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, saveJson.toJSONString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + saveJson);
            logger.error(methodName+"-请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + saveJson);
        logger.error(methodName+"-返回结果" + rtn.getContent());
        JSONObject jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }
    /**
     * 纷享单据-插入
     * @return
     */
    public JSONObject insertV2FXData(String methodName, JSONObject saveJson) {
        XKTokenAccess xktonken = new XKTokenAccess();
        saveJson.put("corpAccessToken", xktonken.getCorpAccessToken().getCorpAccessToken());
        saveJson.put("corpId", xktonken.getCorpAccessToken().getCorpId());
        saveJson.put("currentOpenUserId", "FSUID_76A55AEDDFB561F2F2EFA2B978D07407");
        System.out.println(methodName+"-纷享单据-插入 ");
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/create";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, saveJson.toJSONString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + saveJson);
            logger.error(methodName+"-请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + saveJson);
        logger.error(methodName+"-返回结果" + rtn.getContent());
        JSONObject jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }
    /**
     * 纷享单据-修改
     * @return
     */
    public JSONObject updateV2FXData(String methodName, JSONObject saveJson) {
        XKTokenAccess xktonken = new XKTokenAccess();
        saveJson.put("corpAccessToken", xktonken.getCorpAccessToken().getCorpAccessToken());
        saveJson.put("corpId", xktonken.getCorpAccessToken().getCorpId());
        saveJson.put("currentOpenUserId", "FSUID_76A55AEDDFB561F2F2EFA2B978D07407");
        System.out.println(methodName+"-纷享单据-修改 ");
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/update";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, saveJson.toJSONString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + saveJson);
            logger.error(methodName+"-请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + saveJson);
        logger.error(methodName+"-返回结果" + rtn.getContent());
        JSONObject jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }
    /**
     * 纷享单据-修改
     * @return
     */
    public JSONObject ZDYchangeOwner(String methodName,String ApiName,String _id,String ownerId) {

        String str="{\n" +
                "  \"data\": {\n" +
                "      \"dataObjectApiName\":\""+ApiName+"\",\n" +
                "      \"Data\": [\n" +
                "        {\n" +
                "          \"objectDataId\": \""+_id+"\",\n" +
                "          \"ownerId\": [\n" +
                "           \""+ownerId+"\"\n" +
                "          ]\n" +
                "        }\n" +
                "      ]\n" +
                "    }\n" +
                "}\n";
        JSONObject saveJson =JSON.parseObject(str);  ;
        XKTokenAccess xktonken = new XKTokenAccess();
        saveJson.put("corpAccessToken", xktonken.getCorpAccessToken().getCorpAccessToken());
        saveJson.put("corpId", xktonken.getCorpAccessToken().getCorpId());
        saveJson.put("currentOpenUserId", "FSUID_76A55AEDDFB561F2F2EFA2B978D07407");
        System.out.println(methodName+"-纷享单据-修改 ");
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/changeOwner";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, saveJson.toJSONString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + saveJson);
            logger.error(methodName+"-请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + saveJson);
        logger.error(methodName+"-返回结果" + rtn.getContent());
        JSONObject jsonObject = JSON.parseObject(rtn.getContent());
        return jsonObject;
    }
    public String getXKyonghuId(String name) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t \"nickName\": \""+name+"\"\n" +
                "\t\n" +
                "}\n";
        String url = "https://open.fxiaoke.com/cgi/user/getByNickName";
        System.out.println(url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error("请求url" + url);
            logger.error("请求json" + Xkjson);
            logger.error("获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        //logger.error("获取纷享待同步数据"+SAVEJSON1);
        String str=null;
        if (SAVEJSON1.getInteger("errorCode") == 0 ) {
            str=SAVEJSON1.getJSONArray("empList").getJSONObject(0).getString("openUserId");
        }
        return str;
    }

    /**
     * 查询未同步的纷享信息
     */
    public JSONObject getSynchronizedObj1111(String methodName,String apiName) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"data\": {\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"limit\": 2000,\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"orders\": [\n" +
                "                {\n" +
                "                    \"isAsc\": false\n" +
                "                }\n" +
                "            ],\n" +

                "\t\t\t\"fieldProjection\": [\"field_b05kt__c\"]\n" +
                "\t\t}\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/query";
        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    /**
     * 查询未同步的纷享信息
     */
    public JSONObject getSynchronizedObjoffsetAdd(String methodName,String apiName,int offset) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "            \t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": false\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"fieldProjection\": [\"field_b05kt__c\"]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";
        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }

    public JSONObject ysdOffsetQuery(String strartTime,String endTime,Long offset) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "           \n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": true\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"LTE\",\n" +
                "\t\t\t\t\"field_name\": \"field_1x3K6__c\",\n" +
                "\t\t\t\t\"field_values\": [\""+endTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"GTE\",\n" +
                "\t\t\t\t\"field_name\": \"field_1x3K6__c\",\n" +
                "\t\t\t\t\"field_values\": [\""+strartTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}],\n" +
                "            \"fieldProjection\": [\n" +
                "\t\t\t\t\"_id\",\"field_1x3K6__c\",\"name\",\"field_ChJhm__c\"\n" +
                "\t\t\t],\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"object_2O3hf__c\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    public JSONObject ysdOffsetQueryFahuo(String strartTime,String endTime,Long offset) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "           \n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": true\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"LTE\",\n" +
                "\t\t\t\t\"field_name\": \"delivery_date\",\n" +
                "\t\t\t\t\"field_values\": [\""+endTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"GTE\",\n" +
                "\t\t\t\t\"field_name\": \"delivery_date\",\n" +
                "\t\t\t\t\"field_values\": [\""+strartTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}],\n" +
                "            \"fieldProjection\": [\n" +
                "\t\t\t\t\"field_upUZ2__c\"\n" +
                "\t\t\t],\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"DeliveryNoteObj\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    public JSONObject ysdOffsetQueryHuiKuan(String strartTime,String endTime,Long offset) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "           \n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": true\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"LTE\",\n" +
                "\t\t\t\t\"field_name\": \"payment_time\",\n" +
                "\t\t\t\t\"field_values\": [\""+endTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"GTE\",\n" +
                "\t\t\t\t\"field_name\": \"payment_time\",\n" +
                "\t\t\t\t\"field_values\": [\""+strartTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}],\n" +
                "            \"fieldProjection\": [\n" +
                "\t\t\t\t\"_id\",\"field_uhaec__c\"\n" +
                "\t\t\t],\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"PaymentObj\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/query";
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println("-请求url-"+url);
        System.out.println("-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }

    public JSONObject ysdOffsetQueryDd(String strartTime,String endTime,Long offset) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "           \n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": true\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"LTE\",\n" +
                "\t\t\t\t\"field_name\": \"order_time\",\n" +
                "\t\t\t\t\"field_values\": [\""+endTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"GTE\",\n" +
                "\t\t\t\t\"field_name\": \"order_time\",\n" +
                "\t\t\t\t\"field_values\": [\""+strartTime+"\"]\n" +
                "\t\t\t}],\n" +
                "            \"fieldProjection\": [\n" +
                "\t\t\t\t\"field_b05kt__c\"\n" +
                "\t\t\t],\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"SalesOrderObj\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/v2/data/query";
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println("-请求url-"+url);
        System.out.println("-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
    public JSONObject ysdOffsetQueryV2(String strartTime,String endTime,Long offset) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "           \n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": true\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"LTE\",\n" +
                "\t\t\t\t\"field_name\": \"field_1x3K6__c\",\n" +
                "\t\t\t\t\"field_values\": [\""+endTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"GTE\",\n" +
                "\t\t\t\t\"field_name\": \"field_1x3K6__c\",\n" +
                "\t\t\t\t\"field_values\": [\""+strartTime+"\"]\n" +
                "\t\t\t},{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}],\n" +
                "            \"fieldProjection\": [\n" +
                "\t\t\t\t\"_id\",\"field_1x3K6__c\",\"name\",\"field_ChJhm__c\"\n" +
                "\t\t\t],\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"object_2O3hf__c\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }


    /**
     * 查询未同步的纷享信息 V2
     */
    public JSONObject uploadFile(String methodName,String apiName,String fieldName,String status) {
        System.out.println(methodName+"-查询未同步的纷享信息 ");
        XKTokenAccess xktonken = new XKTokenAccess();
        xktonken.getCorpAccessToken().getCorpAccessToken();
        String Xkjson = "{\n" +
                "\t\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": 0,\n" +
                "\t\t\t\"limit\": 20,\n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": false\n" +
                "\t\t\t}],\n" +
//                "\t\t\t\"fieldProjection\": [\"life_status\"],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \""+fieldName+"\",\n" +
                "\t\t\t\t\"field_values\": [\""+status+"\"]\n" +
                "\t\t\t}" +
                ",{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}" +
                "]\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \""+apiName+"\"\n" +
                "\t},\n" +
                "    \"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/media/upload";

        System.out.println(methodName+"-请求url-"+url);
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        System.out.println(methodName+"-请求json-"+SAVEJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + Xkjson);
            logger.error(methodName+"-获取纷享待同步数据" + e);
        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }

    /**
     * 修改同步字段-成功
     *
     * @param id
     * @param state 未同步  已同步   同步失败
     * @param code  金蝶编码
     */
    public void upSynFileFi(String methodName,String apiName,String fieldName,String id, String state) {
        System.out.println(methodName+"-修改同步字段 ");
        JSONObject jsonObject = new JSONObject();

        XKTokenAccess xktonken = new XKTokenAccess();
        String saveJSON = "{\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"object_data\": {\n" +
                "\t\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\t\"_id\": \"" + id + "\",\n" +
                "\"field_ZahGO__c\": \"标示修改\",\n" +
                "\t\t\t\""+fieldName+"\": " + state + "\n" +
                "\t\t}\n" +
                "\t}\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/update";
        System.out.println(saveJSON);
        JSONObject SAVEJSON = JSON.parseObject(saveJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, SAVEJSON.toString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + SAVEJSON);
            logger.error(methodName+"-修改客户是否同步字段 请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + SAVEJSON);
        logger.error(methodName+"-修改客户是否同步字段-返回结果" + rtn.getContent());

        //jsonObject = JSON.parseObject(rtn.getContent());
    }

    /**
     * 修改同步字段-成功
     *
     * @param id
     * @param state 未同步  已同步   同步失败
     * @param code  金蝶编码
     */
    public void upSynddcode(String methodName,String apiName,String fieldName,String id, String state) {
        System.out.println(methodName+"-修改同步字段 ");
        JSONObject jsonObject = new JSONObject();

        XKTokenAccess xktonken = new XKTokenAccess();
        String saveJSON = "{\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\",\n" +
                "\t\"corpAccessToken\": \"" + xktonken.getCorpAccessToken().getCorpAccessToken() + "\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"object_data\": {\n" +
                "\t\t\t\"dataObjectApiName\": \""+apiName+"\",\n" +
                "\t\t\t\"_id\": \"" + id + "\",\n" +
                "\t\t\t\""+fieldName+"\": " + state + "\n" +
                "\t\t}\n" +
                "\t}\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/update";
        System.out.println(saveJSON);
        JSONObject SAVEJSON = JSON.parseObject(saveJSON);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, SAVEJSON.toString());

        } catch (Exception e) {
            logger.error(methodName+"-请求url" + url);
            logger.error(methodName+"-请求json" + SAVEJSON);
            logger.error(methodName+"-修改客户是否同步字段 请求失败" + e);
        }
        logger.error(methodName+"-请求url" + url);
        logger.error(methodName+"-请求json" + SAVEJSON);
        logger.error(methodName+"-修改客户是否同步字段-返回结果" + rtn.getContent());

    }

    public JSONObject ysdOffsetQuery234234(String strartTime,String endTime,Long offset) {
        XKTokenAccess xktonken = new XKTokenAccess();
        String Xkjson = "{\n" +
                "\t\"corpAccessToken\": \""+ xktonken.getCorpAccessToken().getCorpAccessToken() +"\",\n" +
                "\t\"currentOpenUserId\": \"FSUID_76A55AEDDFB561F2F2EFA2B978D07407\",\n" +
                "\t\"data\": {\n" +
                "\t\t\"search_query_info\": {\n" +
                "\t\t\t\"offset\": "+offset+",\n" +
                "\t\t\t\"limit\": 1000,\n" +
                "           \n" +
                "\t\t\t\"orders\": [{\n" +
                "\t\t\t\t\"isAsc\": true\n" +
                "\t\t\t}],\n" +
                "\t\t\t\"filters\": [{\n" +
                "\t\t\t\t\"operator\": \"EQ\",\n" +
                "\t\t\t\t\"field_name\": \"life_status\",\n" +
                "\t\t\t\t\"field_values\": [\"normal\"]\n" +
                "\t\t\t}],\n" +
                "            \"fieldProjection\": [\n" +
                "\t\t\t\t\"_id\",\"field_1x3K6__c\",\"name\",\"field_ChJhm__c\"\n" +
                "\t\t\t],\n" +
                "\t\t},\n" +
                "\t\t\"dataObjectApiName\": \"object_2O3hf__c\"\n" +
                "\t},\n" +
                "\t\"corpId\": \"FSCID_27CC6C1AF6EC6C7F4B26A02D5301470D\"\n" +
                "}";
        String url = "https://open.fxiaoke.com/cgi/crm/custom/v2/data/query";
        JSONObject SAVEJSON = JSON.parseObject(Xkjson);
        HttpClientResult rtn = null;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);

        } catch (Exception e) {

        }

        JSONObject SAVEJSON1 = JSON.parseObject(rtn.getContent());
        return SAVEJSON1;
    }
}
